summaryrefslogtreecommitdiff
path: root/src/kmk/tests/scripts/options/dash-B
diff options
context:
space:
mode:
Diffstat (limited to 'src/kmk/tests/scripts/options/dash-B')
-rw-r--r--src/kmk/tests/scripts/options/dash-B12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/kmk/tests/scripts/options/dash-B b/src/kmk/tests/scripts/options/dash-B
index 864a01f..e36842e 100644
--- a/src/kmk/tests/scripts/options/dash-B
+++ b/src/kmk/tests/scripts/options/dash-B
@@ -70,4 +70,16 @@ all');
rmfiles('foo.x', 'blah.x');
+# Test that $? is set properly with -B; all prerequisites will be newer!
+
+utouch(-10, 'x.b');
+touch('x.a');
+
+run_make_test(q!
+x.a: x.b ; @echo $?
+!,
+ '-B', "x.b\n");
+
+unlink(qw(x.a x.b));
+
1;